.. _api-event:

######
Events
######

Events is an implementation of an Observer pattern for Odoo.


**********
Components
**********

.. automodule:: odoo.addons.component_event.components.event
   :members:
   :show-inheritance:


**********************
Odoo Models Extensions
**********************

.. automodule:: odoo.addons.component_event.models.base

   .. autoclass:: Base
      :show-inheritance:
